Subject: RE: bug#40457: 26.3; A little Help from `list-packages'?

From: Drew Adams <[email-masked]>
Date: Mon, 6 Apr 2020 08:35:29 -0700 (PDT)

> > But suppose I want to just download a package - its source files, and
> > I don't want to "install" it (especially since I have no way of knowing
> > what "installing" actually will do).  How to do that - download the
> > marked packages?  How to find out how to do it?  This is I guess my
> > main question for this bug report.
> 
> Sounds interesting to me, a helper to download a source package
> included
> in the package system. A convenience feature. Maybe to strip down this
> report to a feature request to add just that? I can imagine it could
> trigger an itch with somebody.

I don't want to strip this bug report / enhancement request
to just a request for a command to download but not install
the source file(s) of a package.

It's true that that was what I was looking for initially.
But as I tried looking everywhere in the pkg-list display,
for help about that mode, I found that it seems to be missing
the boat in helping users more generally.

So from my point of view:

1. An important enhancement is to provide such a command.
2. Other, i.e., more help is needed.

> Otherwise I guess the help from the list-packages for now is the link
> to the package homepage.

That's not help about using the pkg-list mode itself.
That's info about a particular package.  And yes, details
about a package belong on the package homepage, even if a
short description of each package is needed in the list
display itself.